#### Description:

This function returns the bounds of a box which just encompasess the graphics produced by the previous call to any of the Plot methods which produce graphical output. If no such previous call has yet been made, or if the call failed for any reason, then the bounding box returned by this function is undefined.

#### Synopsis

void astBoundingBox( AstPlot ∗this, float lbnd[2], float ubnd[2] )

#### Parameters:

##### this

Pointer to the Plot.

##### lbnd

A two element array in which is returned the lower limits of the bounding box on each of the two axes of the graphics coordinate system (the base Frame of the Plot).

##### ubnd

A two element array in which is returned the upper limits of the bounding box on each of the two axes of the graphics coordinate system (the base Frame of the Plot).

#### Notes:

- An error results if the base Frame of the Plot is not 2-dimensional.

Copyright (C) 2021 East Asian Observatory